# Class LinkElement

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ElementAdapter
org.eclipse.e4.ui.css.swt.dom.WidgetElement
org.eclipse.e4.ui.css.swt.dom.ControlElement
org.eclipse.e4.ui.css.swt.dom.LinkElement

All Implemented Interfaces:
  `CSSStylableElement, Element, Node, NodeList`

public class LinkElement extends ControlElement

## Field Summary

### Fields inherited from class ControlElement

`hasFocus, hasMouseHover`

### Fields inherited from class WidgetElement

`localName, namespaceURI, swtStyles`

### Fields inherited from class ElementAdapter

`engine`

### Fields inherited from interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Constructor
Description
`LinkElement(Control control, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`Link`
`getLink()`

### Methods inherited from class ControlElement

`dispose, getControl, getParentNode, initialize, isPseudoInstanceOf, reset`

### Methods inherited from class WidgetElement

`applyStyles, computeAttributeSWTStyle, computeLocalName, computeNamespaceURI, computeStaticPseudoInstances, getAttribute, getChildNodes, getCSSClass, getCSSClass, getCSSId, getCSSStyle, getEngine, getEngine, getID, getLength, getLocalName, getNamespaceURI, getWidget, hasAttribute, internalGetAttribute, item, setCSSClass, setEngine, setID, toString`

### Methods inherited from class ElementAdapter

`addStaticPseudoInstance, appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNativeWidget, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStaticPseudoInstances, getStyle, getTagName, getTextContent, getUserData, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinkElement

public LinkElement(Control control, CSSEngine engine)

## Method Details

### getLink

public Link getLink()